<?php
/**
 * Simple product - Checkout Now.
 *
 * @package Perfect Checkout\Templates
 * @version 1.6.0
 */

defined( 'ABSPATH' ) || exit;

global $product;

$modal               = get_option( 'perfectcheckout_buy_now_modal', 'no' );
$theme_inherit_style = get_option( 'perfectcheckout_theme_inherit_style', 'yes' );
$button_bg_color     = get_option( 'perfectcheckout_buy_now_bg_color', '#000000' );
$button_text_color   = get_option( 'perfectcheckout_buy_now_text_color', '#ffffff' );
$button_text         = get_option( 'perfectcheckout_buy_now_text', esc_html__( 'Buy Now', 'perfect-checkout' ) );
$font_size           = get_option( 'perfectcheckout_buy_now_font_size', '16' );
$padding             = get_option( 'perfectcheckout_buy_now_padding', '15' );
$padding_sides       = get_option( 'perfectcheckout_buy_now_padding_sides', '60' );
$border_radius       = get_option( 'perfectcheckout_buy_now_border_radius', '6' );

$target = 'pc-' . time();
$class  = 'pc-button perf';

if ( $theme_inherit_style === 'yes' ) {
	$class = 'button perf';
}

$style = $theme_inherit_style === 'yes' ? '' : ' style="background-color: ' . $button_bg_color . '; color: ' . $button_text_color . '; font-size: ' . $font_size . 'px; padding: ' . $padding . 'px ' . $padding_sides . 'px; border-radius: ' . $border_radius . 'px;"';

if ( ! $product->is_purchasable() ) {
	return;
}

if ( $product->is_in_stock() ) : ?>

	<p>— <?php _e( 'OR', 'perfect-checkout' ); ?> —</p>
	
	<?php if ( 'yes' !== $modal ) : ?>
		<a class="<?php echo $class; ?>"<?php echo $style; ?> href="<?php echo add_query_arg( 'pc-buy-now', $product->get_id(), site_url() ); ?>"><?php echo $button_text; ?></a>
	<?php else : ?>
		<button type="button" class="<?php echo $class; ?>" data-mdb-toggle="modal" data-mdb-target="#<?php echo $target; ?>-main" data-perf-target="<?php echo $target; ?>" data-perf-src="<?php echo add_query_arg( 'pc-buy-now', $product->get_id(), site_url() ); ?>"<?php echo $style; ?>><?php echo $button_text; ?></button>

		<script>
			( function( $ ) {
				$(window).resize(function() {
					var viewportwidth;
					var modal = $( document.body ).find( '.modal-dialog' );

					if ( typeof window.innerWidth != 'undefined' ) {
						viewportwidth = window.innerWidth;
					}

					if ( viewportwidth > 768 ) {
						modal.addClass('modal-xl').removeClass('modal-fullscreen');
					}
					else {
						modal.addClass('modal-fullscreen').removeClass('modal-xl');
					}
				});
			})( jQuery );
		</script>

		<div
			class="modal top fade"
			id="<?php echo $target; ?>-main"
			tabindex="-1"
			aria-labelledby="perfectcheckout"
			aria-hidden="true"
			data-mdb-backdrop="true"
			data-mdb-keyboard="true"
		>
			<div class="modal-dialog modal-xl">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title" id="<?php echo $target; ?>-label"><?php _e( 'Checkout Now', 'perfect-checkout' ); ?></h5>
						<button type="button" class="btn-close" data-perf-target="<?php echo $target; ?>" data-mdb-dismiss="modal" aria-label="<?php _e( 'Close', 'perfect-checkout' ); ?>"></button>
					</div>
					<div id="<?php echo $target; ?>" class="modal-body" style="padding: 0"></div>
				</div>
			</div>
		</div>
	<?php endif; ?>
<?php endif; ?>
